Bug 465880 - r500 driver fails to driver 30" display on R600 card.
r500 driver fails to driver 30" display on R600 card.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-server (Show other bugs)
5.3
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Dave Airlie
desktop-bugs@redhat.com
:
Depends On: 464059
Blocks: 364381
  Show dependency treegraph
 
Reported: 2008-10-06 18:24 EDT by Dave Airlie
Modified: 2009-01-20 16:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* the driver for ATI R500-bsed graphics cards was rebased from upstream, but when used on a system with a 30-inch Apple display, this version of the driver would pick the wrong PLL setting and would not drive the display. The driver would also fail to select reduced blanking for this monitor. This update contains a patch that corrects this behvaiour. Systems with r500-based graphics cards now work with the 30-inch Apple monitor.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:29:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Airlie 2008-10-06 18:24:56 EDT
+++ This bug was initially created as a clone of Bug #464059 +++

Description of problem:

The rebased r500 driver fails to drive the Apple 30" display with the RHEL5.3 Beta.

Version-Release number of selected component (if applicable):

xorg-x11-drv-ati-6.6.3-3.17.el5

There are two bugs, one in the driver picking the wrong PLL setting for this card and that frequency, a patch is in-hand. The other is that reduced blanking isn't being picked.

With the first fix, we can workaround the second problem by editing xorg.conf and adding a modeline.

--- Additional comment from rdoty@redhat.com on 2008-09-26 09:48:50 EDT ---

Updated flags and raised priority.

--- Additional comment from mcepl@redhat.com on 2008-10-01 04:28:06 EDT ---

Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

--- Additional comment from airlied@redhat.com on 2008-10-06 18:23:13 EDT ---

Fix is one line change in the X driver and one line change to the X server.

So should be trivial to do.
Comment 1 RHEL Product and Program Management 2008-10-13 19:22:26 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 RHEL Product and Program Management 2008-10-13 19:25:31 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Dave Airlie 2008-10-17 01:09:08 EDT
MODIFIED

xorg-x11-server-1.1.1-48.51.el5 built.
Comment 6 Cameron Meadors 2008-12-10 15:07:43 EST
tested on snap5 x86_64
Comment 9 Ruediger Landmann 2009-01-07 21:47:04 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
* the driver for ATI R500-bsed graphics cards was rebased from upstream, but when used on a system with a 30-inch Apple display, this version of the driver would pick the wrong PLL setting and would not drive the display. The driver would also fail to select reduced blanking for this monitor. This update contains a patch that corrects this behvaiour. Systems with r500-based graphics cards now work with the 30-inch Apple monitor.
Comment 10 errata-xmlrpc 2009-01-20 16:29:17 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0162.html

Note You need to log in before you can comment on or make changes to this bug.